## org.hibernate.cfg.annotations.reflection
Class JPAMetadataProvider

    java.lang.Object
      org.hibernate.cfg.annotations.reflection.JPAMetadataProvider

All Implemented Interfaces:
  Serializable, org.hibernate.annotations.common.reflection.MetadataProvider

    public class JPAMetadataProvider

extends Object
implements org.hibernate.annotations.common.reflection.MetadataProvider, Serializable

MetadataProvider aware of the JPA Deployment descriptor

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`JPAMetadataProvider()`

Method Summary
`org.hibernate.annotations.common.reflection.AnnotationReader` `getAnnotationReader(AnnotatedElement annotatedElement)`
`Map<Object,Object>` `getDefaults()`
`XMLContext` `getXMLContext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPAMetadataProvider

    public JPAMetadataProvider()

Method Detail

### getAnnotationReader

    public org.hibernate.annotations.common.reflection.AnnotationReader getAnnotationReader(AnnotatedElement annotatedElement)

  Specified by:
    `getAnnotationReader` in interface `org.hibernate.annotations.common.reflection.MetadataProvider`

### getDefaults

    public Map<Object,Object> getDefaults()

  Specified by:
    `getDefaults` in interface `org.hibernate.annotations.common.reflection.MetadataProvider`

### getXMLContext

    public XMLContext getXMLContext()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.